Skip navigation

Frustrated with MAC just a tad!

370 Views 1 Reply Latest reply: Feb 5, 2013 3:47 AM by seventy one RSS
Stamena Calculating status...
Currently Being Moderated
Feb 5, 2013 3:30 AM

Hi community,

I have a iMac with 10.5.8 OS, i bought HP Deskjet 2515, which only works with OS 10.6 and up. I was told i have to upgrade my OS, but i simply can not find the Lepard one (10.6) in the on-line store. Apparently it is the Snow Lepard OS and not the next generation. I am stuck. Please help!

Where from, how can i upgrade my OS, without loosing my carrent applications or messing up with my current work

Thank you

Stamena

iMac, Mac OS X (10.5.8)

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.